/* .cart-container {
    max-width: 600px;
    margin: 0 auto;
} */

.cart-container .cart-item {
    /* background-color: #fff; */
    border: 1px solid #e0e0e0;
    border-radius: 12px;
    padding: 15px;
    margin-bottom: 15px;
    position: relative;
    color: var(--rest-main-header-color);
}

.cart-container .cart-item-content {
    display: flex;
    /* justify-content: flex-start; */
    align-items: center;
    margin-bottom: 15px;
    margin-top: 15px;
    ;
}

.cart-container .cart-item-content>.item-details {
    margin-right: 15px;
}

.cart-container .item-image {
    width: 100px;
    height: 100px;
    object-fit: cover;
    border-radius: 8px;
    margin-left: 15px;
}

.cart-container .item-details {
    flex: 1;
}

.cart-container .item-title {
    font-size: 16px;
    font-weight: 700;
    color: var(--rest-main-header-color);
    margin-bottom: 5px;
}

.cart-container .item-price {
    font-size: 14px;
    color: var(--rest-main-header-color);
    font-weight: 500;
}

.cart-container .remove-btn {
    position: absolute;
    top: 15px;
    left: 15px;
    width: 24px;
    height: 24px;
    background-color: #ffeeee;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    border: none;
}

.cart-container .remove-btn i {
    color: #ff5050;
    font-size: 12px;
}

.cart-container .discount-badge {
    position: absolute;
    top: 15px;
    right: 125px;
    background-color: #a4cb3a;
    color: white;
    padding: 3px 8px;
    border-radius: 4px;
    font-size: 14px;
    font-weight: 700;
}

.cart-container .item-total {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 10px;
    border-top: 1px solid #f0f0f0;
}

.cart-container .total-price {
    font-weight: 700;
    font-size: 16px;
    color: #a4cb3a;
}

.cart-container .total-price span {
    color: var(--rest-main-header-color);
    font-size: 14px;
}

.cart-container .quantity-control {
    display: flex;
    align-items: center;
    border: 1px solid #e0e0e0;
    border-radius: 4px;
    overflow: hidden;
}

.cart-container .quantity-btn {
    width: 40px;
    height: 40px;
    background-color: #fff;
    border: none;
    font-size: 16px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}

.cart-container .quantity-btn:hover {
    background-color: #f5f5f5;
}

.cart-container .quantity-input {
    width: 50px;
    height: 40px;
    border: none;
    border-right: 1px solid #e0e0e0;
    border-left: 1px solid #e0e0e0;
    text-align: center;
    font-size: 14px !important;
    font-weight: 500;
}

.cart-container .quantity-input:focus {
    outline: none;
}

@media (max-width: 576px) {
    .cart-container .cart-item-content {
        flex-direction: row;
        align-items: flex-start;
    }

    .cart-container .item-image {
        width: 100px;
        height: 100px;
        object-fit: cover;
        border-radius: 8px;
        margin-left: 0;
        margin-bottom: 15px;
        order: 2;
    }

    .cart-container .item-details {
        order: 1;
    }

    .cart-container .discount-badge {
        right: 15px;
        top: 110px;
    }
}

.cart-container .additions {
    margin-top: 20px;
}

.cart-container .additions summary {
    display: none;
}



.cart-container .additions-content {
    padding: 10px;
    background-color: #f5f5f5;
    border-radius: 4px;
}

.cart-container .addition-item-quantity {
    font-size: 14px;
    color: #777;
}


.cart-container .addition-item {
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px;
    color: #000;
}
